Bug 1520267 - impi: NULL pointer in ipmi_pci_probe
Summary: impi: NULL pointer in ipmi_pci_probe
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-04 07:21 UTC by xiaoli feng
Modified: 2018-04-06 18:52 UTC (History)
25 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-04-06 18:52:12 UTC


Attachments (Terms of Use)
full console log (120.49 KB, text/plain)
2017-12-12 06:54 UTC, xiaoli feng
no flags Details

Description xiaoli feng 2017-12-04 07:21:28 UTC
Description of problem:
Happen once when the system boots.

] Started udev Kernel Device Manager.  
[   52.261233] BUG: unable to handle kernel NULL pointer dereference at           (null) 
[   52.262909] IP:           (null) 
[   52.263633] PGD 0 P4D 0  
[   52.264217] Oops: 0010 [#1] SMP 
[   52.264910] Modules linked in: ipmi_si(+) fjes(-) ipmi_devintf ipmi_msghandler loop nfsv3 nfs_acl nfs lockd grace fscache radeon i2c_algo_bit drm_kms_helper ttm drm serio_raw 8021q garp mrp tg3 stp llc hpsa bnx2 e1000e scsi_transport_sas ptp pps_core sunrpc mcryptd sha256_ssse3 dm_crypt dm_round_robin linear raid10 raid456 async_raid6_recov async_memcpy async_pq async_xor async_tx xor raid6_pq libcrc32c raid1 raid0 iscsi_ibft iscsi_boot_sysfs iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi squashfs zstd_decompress xxhash cramfs edd dm_multipath 
[   52.275637] CPU: 2 PID: 1372 Comm: systemd-udevd Not tainted 4.15.0-0.rc1.git1.1.fc28.x86_64 #1 
[   52.277502] Hardware name: HP ProLiant BL480c G1, BIOS I14 10/04/2007 
[   52.278893] task: ffff8e54dbb4b380 task.stack: ffffa1f640d00000 
[   52.280243] RIP: 0010:          (null) 
[   52.281060] RSP: 0018:ffffa1f640d03a30 EFLAGS: 00010246 
[   52.282200] RAX: 00000000f7ef0000 RBX: ffff8e54e9999000 RCX: 0000000000000000 
[   52.283736] RDX: 0000000000000002 RSI: ffff8e54dbb4c108 RDI: ffffa1f640d03a40 
[   52.285517] RBP: ffffa1f640d03a40 R08: 0000000000000001 R09: 0000000000000000 
[   52.287078] R10: 0000000000000000 R11: 0000000000000000 R12: ffff8e54e99990a0 
[   52.288571] R13: 0000000000000001 R14: 0000000000000003 R15: ffffa1f640d03e88 
[   52.290118] FS:  00007fee3abfb940(0000) GS:ffff8e54ea800000(0000) knlGS:0000000000000000 
[   52.291893] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033 
[   52.293146] CR2: 0000000000000000 CR3: 000000011577a000 CR4: 00000000000006e0 
[   52.294682] Call Trace: 
[   52.295276]  ? ipmi_pci_probe+0x1ec/0x260 [ipmi_si] 
[   52.296359]  ? ipmi_pci_remove+0x20/0x20 [ipmi_si] 
[   52.297409]  ? local_pci_probe+0x3d/0x90 
[   52.298268]  ? pci_device_probe+0x141/0x1b0 
[   52.299194]  ? driver_probe_device+0x30c/0x480 
[   52.300186]  ? __driver_attach+0xa1/0xe0 
[   52.301042]  ? driver_probe_device+0x480/0x480 
[   52.302039]  ? bus_for_each_dev+0x6c/0xb0 
[   52.302975]  ? bus_add_driver+0x1c5/0x260 
[   52.303923]  ? ipmi_si_add_smi+0x270/0x270 [ipmi_si] 
[   52.305072]  ? driver_register+0x57/0xc0 
[   52.305945]  ? ipmi_si_add_smi+0x270/0x270 [ipmi_si] 
[   52.307107]  ? ipmi_si_pci_init+0x2a/0x50 [ipmi_si] 
[   52.308243]  ? init_ipmi_si+0x13b/0x1c0 [ipmi_si] 
[   52.309356]  ? ipmi_si_add_smi+0x270/0x270 [ipmi_si] 
[   52.310569]  ? do_one_initcall+0x4b/0x18c 
[   52.311513]  ? do_init_module+0x22/0x203 
[   52.312436]  ? rcu_read_lock_sched_held+0x6b/0x80 
[   52.313548]  ? kmem_cache_alloc_trace+0x28c/0x2f0 
[   52.314643]  ? do_init_module+0x22/0x203 
[   52.315571]  ? do_init_module+0x5b/0x203 
[   52.316515]  ? load_module+0x2720/0x2e10 
[   52.317477]  ? SYSC_init_module+0x173/0x1b0 
[   52.318474]  ? _cond_resched+0x15/0x30 
[   52.319360]  ? SYSC_init_module+0x173/0x1b0 
[   52.320354]  ? do_syscall_64+0x66/0x210 
[   52.321269]  ? entry_SYSCALL64_slow_path+0x25/0x25 
[   52.322342] Code:  Bad RIP value. 
[   52.323143] RIP:           (null) RSP: ffffa1f640d03a30 
[   52.324356] CR2: 0000000000000000 
[   52.325278] ---[ end trace 1e4d27ca06c04b64 ]--- 

Version-Release number of selected component (if applicable):
4.15.0-0.rc1.git1.1.fc28.x86_64

How reproducible:
once

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Boris Ranto 2017-12-07 17:15:05 UTC
You are hitting a kernel NULL pointer dereference. That is a kernel bug, reassigning.

Comment 2 Laura Abbott 2017-12-07 19:01:56 UTC
Can you attach the full kernel log and lspci -vvv

Comment 3 Laura Abbott 2017-12-07 19:06:05 UTC
https://bugzilla.kernel.org/show_bug.cgi?id=197999 this looks to be a known regression with a fix.

Comment 4 xiaoli feng 2017-12-12 06:54 UTC
Created attachment 1366442 [details]
full console log

Comment 5 Laura Abbott 2018-04-06 18:52:12 UTC
This should be fixed now, if not feel free to reopen.


Note You need to log in before you can comment on or make changes to this bug.